# ncurses 6.0 - patch 20170708 - Thomas E. Dickey
#
# ------------------------------------------------------------------------------
#
# Ncurses 6.0 is at
# 	ftp.gnu.org:/pub/gnu
#
# Patches for ncurses 6.0 can be found at
# 	ftp://invisible-island.net/ncurses/6.0
#	http://invisible-mirror.net/archives/ncurses/6.0 
#
# ------------------------------------------------------------------------------
# ftp://invisible-island.net/ncurses/6.0/ncurses-6.0-20170708.patch.gz
# patch by Thomas E. Dickey <dickey@invisible-island.net>
# created  Sun Jul  9 01:27:08 UTC 2017
# ------------------------------------------------------------------------------
# NEWS                             |    6 +++++-
# VERSION                          |    2 +-
# dist.mk                          |    4 ++--
# man/tic.1m                       |    5 ++++-
# package/debian-mingw/changelog   |    4 ++--
# package/debian-mingw64/changelog |    4 ++--
# package/debian/changelog         |    4 ++--
# package/mingw-ncurses.nsi        |    4 ++--
# package/mingw-ncurses.spec       |    2 +-
# package/ncurses.spec             |    2 +-
# progs/dump_entry.c               |    4 ++--
# 11 files changed, 24 insertions(+), 17 deletions(-)
# ------------------------------------------------------------------------------
Index: NEWS
Prereq:  1.2878 
--- ncurses-6.0-20170701+/NEWS	2017-07-01 22:57:06.000000000 +0000
+++ ncurses-6.0-20170708/NEWS	2017-07-09 00:25:16.000000000 +0000
@@ -25,7 +25,7 @@
 -- sale, use or other dealings in this Software without prior written        --
 -- authorization.                                                            --
 -------------------------------------------------------------------------------
--- $Id: NEWS,v 1.2878 2017/07/01 22:57:06 tom Exp $
+-- $Id: NEWS,v 1.2882 2017/07/09 00:25:16 tom Exp $
 -------------------------------------------------------------------------------
 
 This is a log of changes that ncurses has gone through since Zeyd started
@@ -45,6 +45,10 @@
 Changes through 1.9.9e did not credit all contributions;
 it is not possible to add this information.
 
+20170708
+	+ add a note to tic manual page about -W versus -f options.
+	+ correct a limit-check in fixes from 20170701 (report by Sven Joachim).
+
 20170701
 	+ modify update_getenv() in db_iterator.c to ensure that environment
 	  variables which are not initially set will be checked later if an
Index: VERSION
--- ncurses-6.0-20170701+/VERSION	2017-06-25 16:16:02.000000000 +0000
+++ ncurses-6.0-20170708/VERSION	2017-07-02 14:32:53.000000000 +0000
@@ -1 +1 @@
-5:0:9	6.0	20170701
+5:0:9	6.0	20170708
Index: dist.mk
Prereq:  1.1170 
--- ncurses-6.0-20170701+/dist.mk	2017-06-25 16:16:02.000000000 +0000
+++ ncurses-6.0-20170708/dist.mk	2017-07-02 14:32:53.000000000 +0000
@@ -25,7 +25,7 @@
 # use or other dealings in this Software without prior written               #
 # authorization.                                                             #
 ##############################################################################
-# $Id: dist.mk,v 1.1170 2017/06/25 16:16:02 tom Exp $
+# $Id: dist.mk,v 1.1171 2017/07/02 14:32:53 tom Exp $
 # Makefile for creating ncurses distributions.
 #
 # This only needs to be used directly as a makefile by developers, but
@@ -37,7 +37,7 @@
 # These define the major/minor/patch versions of ncurses.
 NCURSES_MAJOR = 6
 NCURSES_MINOR = 0
-NCURSES_PATCH = 20170701
+NCURSES_PATCH = 20170708
 
 # We don't append the patch to the version, since this only applies to releases
 VERSION = $(NCURSES_MAJOR).$(NCURSES_MINOR)
Index: man/tic.1m
Prereq:  1.63 
--- ncurses-6.0-20170701+/man/tic.1m	2017-01-14 19:50:09.000000000 +0000
+++ ncurses-6.0-20170708/man/tic.1m	2017-07-08 19:48:37.000000000 +0000
@@ -26,7 +26,7 @@
 .\" authorization.                                                           *
 .\"***************************************************************************
 .\"
-.\" $Id: tic.1m,v 1.63 2017/01/14 19:50:09 tom Exp $
+.\" $Id: tic.1m,v 1.65 2017/07/08 19:48:37 tom Exp $
 .TH @TIC@ 1M ""
 .ie \n(.g .ds `` \(lq
 .el       .ds `` ``
@@ -345,6 +345,9 @@
 \fB\-W\fR
 By itself, the \fB\-w\fP option will not force long strings to be wrapped.
 Use the \fB\-W\fP option to do this.
+.IP
+If you specify both \fB\-f\fP and \fB\-W\fP options,
+the latter is ignored when \fB\-f\fP has already split the line.
 .TP
 \fB\-w\fR\fIn\fR
 specifies the width of the output.
Index: package/debian-mingw/changelog
--- ncurses-6.0-20170701+/package/debian-mingw/changelog	2017-06-25 16:16:02.000000000 +0000
+++ ncurses-6.0-20170708/package/debian-mingw/changelog	2017-07-02 14:32:53.000000000 +0000
@@ -1,8 +1,8 @@
-ncurses6 (6.0+20170701) unstable; urgency=low
+ncurses6 (6.0+20170708) unstable; urgency=low
 
   * latest weekly patch
 
- -- Thomas E. Dickey <dickey@invisible-island.net>  Sun, 25 Jun 2017 12:16:02 -0400
+ -- Thomas E. Dickey <dickey@invisible-island.net>  Sun, 02 Jul 2017 10:32:53 -0400
 
 ncurses6 (5.9-20131005) unstable; urgency=low
 
Index: package/debian-mingw64/changelog
--- ncurses-6.0-20170701+/package/debian-mingw64/changelog	2017-06-25 16:16:02.000000000 +0000
+++ ncurses-6.0-20170708/package/debian-mingw64/changelog	2017-07-02 14:32:53.000000000 +0000
@@ -1,8 +1,8 @@
-ncurses6 (6.0+20170701) unstable; urgency=low
+ncurses6 (6.0+20170708) unstable; urgency=low
 
   * latest weekly patch
 
- -- Thomas E. Dickey <dickey@invisible-island.net>  Sun, 25 Jun 2017 12:16:02 -0400
+ -- Thomas E. Dickey <dickey@invisible-island.net>  Sun, 02 Jul 2017 10:32:53 -0400
 
 ncurses6 (5.9-20131005) unstable; urgency=low
 
Index: package/debian/changelog
--- ncurses-6.0-20170701+/package/debian/changelog	2017-06-25 16:16:02.000000000 +0000
+++ ncurses-6.0-20170708/package/debian/changelog	2017-07-02 14:32:53.000000000 +0000
@@ -1,8 +1,8 @@
-ncurses6 (6.0+20170701) unstable; urgency=low
+ncurses6 (6.0+20170708) unstable; urgency=low
 
   * latest weekly patch
 
- -- Thomas E. Dickey <dickey@invisible-island.net>  Sun, 25 Jun 2017 12:16:02 -0400
+ -- Thomas E. Dickey <dickey@invisible-island.net>  Sun, 02 Jul 2017 10:32:53 -0400
 
 ncurses6 (5.9-20120608) unstable; urgency=low
 
Index: package/mingw-ncurses.nsi
Prereq:  1.218 
--- ncurses-6.0-20170701+/package/mingw-ncurses.nsi	2017-06-25 16:16:02.000000000 +0000
+++ ncurses-6.0-20170708/package/mingw-ncurses.nsi	2017-07-02 14:32:53.000000000 +0000
@@ -1,4 +1,4 @@
-; $Id: mingw-ncurses.nsi,v 1.218 2017/06/25 16:16:02 tom Exp $
+; $Id: mingw-ncurses.nsi,v 1.219 2017/07/02 14:32:53 tom Exp $
 
 ; TODO add examples
 ; TODO bump ABI to 6
@@ -10,7 +10,7 @@
 !define VERSION_MAJOR "6"
 !define VERSION_MINOR "0"
 !define VERSION_YYYY  "2017"
-!define VERSION_MMDD  "0701"
+!define VERSION_MMDD  "0708"
 !define VERSION_PATCH ${VERSION_YYYY}${VERSION_MMDD}
 
 !define MY_ABI   "5"
Index: package/mingw-ncurses.spec
--- ncurses-6.0-20170701+/package/mingw-ncurses.spec	2017-06-25 16:16:02.000000000 +0000
+++ ncurses-6.0-20170708/package/mingw-ncurses.spec	2017-07-02 14:32:53.000000000 +0000
@@ -3,7 +3,7 @@
 Summary: shared libraries for terminal handling
 Name: mingw32-ncurses6
 Version: 6.0
-Release: 20170701
+Release: 20170708
 License: X11
 Group: Development/Libraries
 Source: ncurses-%{version}-%{release}.tgz
Index: package/ncurses.spec
--- ncurses-6.0-20170701+/package/ncurses.spec	2017-06-25 16:16:02.000000000 +0000
+++ ncurses-6.0-20170708/package/ncurses.spec	2017-07-02 14:32:53.000000000 +0000
@@ -1,7 +1,7 @@
 Summary: shared libraries for terminal handling
 Name: ncurses6
 Version: 6.0
-Release: 20170701
+Release: 20170708
 License: X11
 Group: Development/Libraries
 Source: ncurses-%{version}-%{release}.tgz
Index: progs/dump_entry.c
Prereq:  1.154 
--- ncurses-6.0-20170701+/progs/dump_entry.c	2017-07-01 11:27:29.000000000 +0000
+++ ncurses-6.0-20170708/progs/dump_entry.c	2017-07-08 18:34:53.000000000 +0000
@@ -39,7 +39,7 @@
 #include "termsort.c"		/* this C file is generated */
 #include <parametrized.h>	/* so is this */
 
-MODULE_ID("$Id: dump_entry.c,v 1.154 2017/07/01 11:27:29 tom Exp $")
+MODULE_ID("$Id: dump_entry.c,v 1.155 2017/07/08 18:34:53 tom Exp $")
 
 #define DISCARD(string) string = ABSENT_STRING
 #define PRINTF (void) printf
@@ -1054,7 +1054,7 @@
 			char *s = srccap, *d = buffer;
 			WRAP_CONCAT3("..", name, "=");
 			while ((*d = *s++) != 0) {
-			    if ((d - buffer - 1) >= (int) sizeof(buffer)) {
+			    if ((d - buffer + 1) >= (int) sizeof(buffer)) {
 				fprintf(stderr,
 					"%s: value for %s is too long\n",
 					_nc_progname,
